com.trendmicro.ds.platform.rest.object.proxies

## Class ListProxiesResponse

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.proxies.ListProxiesResponse

-     public class ListProxiesResponse
      extends java.lang.Object

  Response object for the ListProxies API.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListProxiesResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addProxy(Proxy proxy)` Add to the list of proxy details.
    `java.util.List<Proxy>` | `getProxies()` Get the list of proxy details.
    `void` | `setProxy(java.util.List<Proxy> proxies)` Set the list of proxy details.
    `ListProxiesResponse` | `withProxies(java.util.List<Proxy> proxies)` Set the list of proxy details.
    `ListProxiesResponse` | `withProxies(Proxy... proxies)` Set the list of proxy details.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListProxiesResponse

          public ListProxiesResponse()

  - ### Method Detail

    - #### getProxies

          public java.util.List<Proxy> getProxies()

      Get the list of proxy details.
      Returns:
        the list of proxy details.

    - #### setProxy

          public void setProxy(java.util.List<Proxy> proxies)

      Set the list of proxy details.
      Parameters:
        `proxies` - the list of proxy details to set.

    - #### withProxies

          public ListProxiesResponse withProxies(java.util.List<Proxy> proxies)

      Set the list of proxy details.
      Parameters:
        `proxies` - the list of proxy details to set.
      Returns:
        the updated ListProxiesResponse object.

    - #### withProxies

          public ListProxiesResponse withProxies(Proxy... proxies)

      Set the list of proxy details.
      Parameters:
        `proxies` - the list of proxy details to set.
      Returns:
        the updated ListProxiesResponse object.

    - #### addProxy

          public void addProxy(Proxy proxy)

      Add to the list of proxy details.
      Parameters:
        `proxy` - the proxy details to add to the list.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.